Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class ContextProperties

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--com.caucho.util.ContextProperties

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class ContextProperties
extends java.util.Properties

Creates a ClassLoader-dependent properties table. The value of the ContextLocal variable depends on the context ClassLoader.

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`ContextProperties()`
`ContextProperties(java.util.Properties global)`

Method Summary
`void` | `clear()`
`java.lang.Object` | `clone()`
`boolean` | `contains(java.lang.Object value)`
`boolean` | `containsKey(java.lang.Object value)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Enumeration` | `elements()`
`java.util.Set` | `entrySet()`
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `get(java.lang.Object key)`
`java.util.Properties` | `getGlobalProperties()`
`java.lang.String` | `getProperty(java.lang.String key)`
`java.lang.String` | `getProperty(java.lang.String key, java.lang.String defaultValue)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Enumeration` | `keys()`
`java.util.Set` | `keySet()`
`java.util.Enumeration` | `propertyNames()`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`
`void` | `putAll(java.util.Map map)`
`java.lang.Object` | `remove(java.lang.Object key)`
`int` | `size()`
`java.lang.String` | `toString()`
`java.util.Collection` | `values()`

Methods inherited from class java.util.Properties
`list, list, load, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`rehash`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextProperties

    public ContextProperties(java.util.Properties global)

### ContextProperties

    public ContextProperties()

Method Detail

### getGlobalProperties

    public java.util.Properties getGlobalProperties()

### size

    public int size()

  Overrides:
    `size` in class `java.util.Hashtable`

### isEmpty

    public boolean isEmpty()

  Overrides:
    `isEmpty` in class `java.util.Hashtable`

### keys

    public java.util.Enumeration keys()

  Overrides:
    `keys` in class `java.util.Hashtable`

### elements

    public java.util.Enumeration elements()

  Overrides:
    `elements` in class `java.util.Hashtable`

### contains

    public boolean contains(java.lang.Object value)

  Overrides:
    `contains` in class `java.util.Hashtable`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Overrides:
    `containsValue` in class `java.util.Hashtable`

### containsKey

    public boolean containsKey(java.lang.Object value)

  Overrides:
    `containsKey` in class `java.util.Hashtable`

### get

    public java.lang.Object get(java.lang.Object key)

  Overrides:
    `get` in class `java.util.Hashtable`

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Overrides:
    `getProperty` in class `java.util.Properties`

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String defaultValue)

  Overrides:
    `getProperty` in class `java.util.Properties`

### propertyNames

    public java.util.Enumeration propertyNames()

  Overrides:
    `propertyNames` in class `java.util.Properties`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Overrides:
    `put` in class `java.util.Hashtable`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Overrides:
    `remove` in class `java.util.Hashtable`

### putAll

    public void putAll(java.util.Map map)

  Overrides:
    `putAll` in class `java.util.Hashtable`

### clear

    public void clear()

  Overrides:
    `clear` in class `java.util.Hashtable`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.util.Hashtable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Hashtable`

### keySet

    public java.util.Set keySet()

  Overrides:
    `keySet` in class `java.util.Hashtable`

### entrySet

    public java.util.Set entrySet()

  Overrides:
    `entrySet` in class `java.util.Hashtable`

### values

    public java.util.Collection values()

  Overrides:
    `values` in class `java.util.Hashtable`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.util.Hashtable`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.util.Hashtable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD